iT邦幫忙

0

在linux上安裝hadoop有問題

請問有人看過Python+Spark 2.0+Hadoop機器學習與大數據分析實戰這本書嗎?
我於此書第四章安裝hadoop的部分執行hadoop namenode format時,一直出現DEPRECATED:Use of this script to execute hafs command is deprected.Instead use the hadfs command for it,錯誤訊息。我在網路上爬文說改成hadfs namenode format就可解決,但我試了會出現 錯誤:找不到或無法載入主要類別 org.apache.hadoop.hdfs.server.namenode.NameNode。
此外,本書要求安裝hadoop2.6.4版本(作者說才可以配合spark2.0),但hadoop官網上已經無此版本,所以我下載2.6.5版本,不知道錯誤訊息是否與此有關。
是否有人看過此書或遇過類似問題知道如何解決呢?
非常感謝

尚未有邦友回答

立即登入回答